[Numpy-svn] r5569 - trunk/numpy/core

numpy-svn@scip... numpy-svn@scip...
Wed Jul 30 02:33:52 CDT 2008


Author: cdavid
Date: 2008-07-30 02:33:48 -0500 (Wed, 30 Jul 2008)
New Revision: 5569

Modified:
   trunk/numpy/core/scons_support.py
Log:
Do not use numscons rsplit (python >= 2.4 required for numpy >= 1.2.)


Modified: trunk/numpy/core/scons_support.py
===================================================================
--- trunk/numpy/core/scons_support.py	2008-07-30 07:31:06 UTC (rev 5568)
+++ trunk/numpy/core/scons_support.py	2008-07-30 07:33:48 UTC (rev 5569)
@@ -1,4 +1,4 @@
-#! Last Change: Thu Jun 12 02:00 PM 2008 J
+#! Last Change: Wed Jul 30 02:00 PM 2008 J
 
 """Code to support special facilities to scons which are only useful for
 numpy.core, hence not put into numpy.distutils.scons"""
@@ -15,7 +15,6 @@
      do_generate_api as nowrap_do_generate_ufunc_api
 
 from numscons.numdist import process_c_str as process_str
-from numscons.core.utils import rsplit, isstring
 
 import SCons.Node
 import SCons
@@ -23,7 +22,7 @@
 from SCons.Action import Action
 
 def split_ext(string):
-    sp = rsplit(string, '.', 1)
+    sp = string.rsplit( '.', 1)
     if len(sp) == 1:
         return (sp[0], '')
     else:



More information about the Numpy-svn mailing list